DK API 文档

weibo 01

15 个接口

GETfetch home recommend feed

GET https://dkai.store/api/v1/weibo/app/fetch_home_recommend_feed

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_home_recommend_feed'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot search brief

GET https://dkai.store/api/v1/weibo/app/fetch_hot_search_brief

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_hot_search_brief'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot search categories

GET https://dkai.store/api/v1/weibo/app/fetch_hot_search_categories

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_hot_search_categories'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch search all

GET https://dkai.store/api/v1/weibo/app/fetch_search_all

1 积分 / 成功调用

参数位置要求说明
queryquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_search_all?query=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch status comments

GET https://dkai.store/api/v1/weibo/app/fetch_status_comments

1 积分 / 成功调用

参数位置要求说明
status_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_status_comments?status_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch status detail

GET https://dkai.store/api/v1/weibo/app/fetch_status_detail

1 积分 / 成功调用

参数位置要求说明
status_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_status_detail?status_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch status likes

GET https://dkai.store/api/v1/weibo/app/fetch_status_likes

1 积分 / 成功调用

参数位置要求说明
status_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_status_likes?status_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch status reposts

GET https://dkai.store/api/v1/weibo/app/fetch_status_reposts

1 积分 / 成功调用

参数位置要求说明
status_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_status_reposts?status_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user album

GET https://dkai.store/api/v1/weibo/app/fetch_user_album

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_user_album?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user articles

GET https://dkai.store/api/v1/weibo/app/fetch_user_articles

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_user_articles?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user audios

GET https://dkai.store/api/v1/weibo/app/fetch_user_audios

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_user_audios?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user followers

GET https://dkai.store/api/v1/weibo/app/fetch_user_followers

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_user_followers?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user following

GET https://dkai.store/api/v1/weibo/app/fetch_user_following

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/app/fetch_user_following?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。